Skip to content

Create conversation

Request

Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.

Security
ApiKeyAuth(Required scopes: conversation.reply)
Bodyapplication/jsonrequired

The conversation to create

One of:
requesterIdstring, (uuid)required
directionstringrequired

values: [Inbound, Outbound]

contactEndpointIdstringrequired
queueIdstring, (uuid)required
POST
/v1/conversations
curl -i -X POST \
  https://dev.dixa.io/v1/conversations \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "requesterId": "9c2a2cce-699f-4a72-89d9-fda5bc8dec8b",
    "emailIntegrationId": "my-integration@email.dixa.io",
    "subject": "order #123",
    "message": {
      "content": {
        "value": "My order hasn'\''t shipped",
        "_type": "Text"
      },
      "attachments": [],
      "_type": "Inbound"
    },
    "language": "en",
    "_type": "Email"
  }'

Responses

The id of the created conversation

Bodyapplication/json
dataobject(ConversationResponse)required
Response
{ "data": { "id": 100 } }